Read one knowledge note
GET
/v1/workspaces/{workspaceId}/knowledge/files/{path}
const url = 'https://shareout.site/v1/workspaces/example/knowledge/files/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shareout.site/v1/workspaces/example/knowledge/files/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspaceId
required
string
Workspace ID or slug.
path
required
string
Note path ending in .md (may contain slashes).
Responses
Section titled “Responses”{ enabled, node } with body, sources (artifact ids) and source_artifacts ({ id, slug, title, url, available } per source; url is the absolute <origin>/a/<slug>/ link; available: false with no title or url when the artifact is gone or not visible to the caller)
Not found, or Knowledge is off
